<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/update_page.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Update-page</title>
</head>
<body>
    
    <div class="container">
        <nav class="nav-bar">
            <div class="icon">
                <div class="arrow-icon">
                    <a href="index.html"><i class="fa fa-long-arrow-left" aria-hidden="true"></i></a>
                </div>
                <div class="logout-icon">
                    <a href="login.html"><span class="glyphicon glyphicon-off"></span> Log Out </a>
                </div>
            </div>
            <div class="heading">
                <h1>Update Project Directory</h1>
            </div>
        </nav>

        <div class="main">
            <form class="main-form" action="javascript:void(0)">
                <label for = "title"> TITLE </label>
                <input  id='title' type="text" placeholder="Enter Your Project Name">
                <label for = "description"> DESCRIPTION </label>
                <!-- <input type="text" placeholder="Write Description about your project"> -->
                <textarea id='desc' rows="14" cols="50"
                placeholder="Write Description about your project"></textarea>
                <label for = "Tag"> TAG </label>
                <input id='tag' type="text" placeholder="Enter tag for example, #java, #angularjs, #adobexd">
                <label for = "title"> PROJECT LINKS<i class="fa fa-plus-circle"></i> </label>
                <!-- <aside>
                    <ul type="none">
                        
                    </ul>
                </aside> -->
                <div class="project-list">
                        <div class="toggle-container">
                            <div class="dropdown">
                                <button id="dropbtn" onclick="myFunction()" class="dropbtn">Platform</button>
                                <div id="myDropdown" class="dropdown-content">
                                    <div class="single-list">
                                        <a href="#home" onclick="itemClick(this)">
                                        Website</a>
                                        <img src="./img/globe-solid.svg"></img>
                                    </div>
                                    <div class="single-list">
                                        <a href="#home"  onclick="itemClick(this)">
                                        PlayStore</a>
                                        <img src="./img/playstore.png" width="13px"></img>
                                    </div>
                                    <div class="single-list">
                                        <a href="#home"  onclick="itemClick(this)">
                                        Appstore</a>
                                        <i class="fa fa-apple"></i>
                                    </div>
                                    <div class="single-list">
                                        <a href="#home"  onclick="itemClick(this)">
                                        other</a>  
                                    </div>
                                </div>
                              </div>
                        </div>
                        <div class="project-list-input">
                                <input  id="projectUrl"  class="project-list-button" type="text" placeholder="Insert url or copy paste your project url">
                                <!-- <input  type="submit"   value="Done" onclick="projectLink()"> -->
                        </div>
                    </div>
                <div>
                    <label for = "images"> UPLOAD IMAGES </label>

                    <div class="upload-document">
                        <!-- <img src="./img/attachments icon.svg">
                        <label for = "images"> Upload your attachment </label>  --> 
                    </div>

                    <div class="images-section">
                        <div class="img-block">
                            <img src="" alt=""><i class="fa fa-times" aria-hidden="true"></i>
                        </div>
                        <div class="img-block">
                            <img src="" alt=""><i class="fa fa-times" aria-hidden="true"></i>
                        </div>
                        <div class="img-block">
                            <img src="" alt=""><i class="fa fa-times" aria-hidden="true"></i>
                        </div>
                        
                        <div class="img-block">
                            <img src="" alt=""><i class="fa fa-times" aria-hidden="true"></i>
                        </div>
                        
                    </div>
                </div>
                <div class="create-button">
                    <button class="update-button" type="submit" onclick="updateUsers()">Update</button>
               </div>
            </form>
        </div>

    </div>
    

    <script>

        const urlParams = new URLSearchParams(window.location.search);
        const projectId = urlParams.get('id');

            var config = {
                headers: { 'Access-Control-Allow-Origin': '*' }
            };
        /* When the user clicks on the button, 
        toggle between hiding and showing the dropdown content */
        function myFunction() {
          document.getElementById("myDropdown").classList.toggle("show");
        }
        
        // Close the dropdown if the user clicks outside of it
        window.onclick = function(event) {
          if (!event.target.matches('.dropbtn')) {
            var dropdowns = document.getElementsByClassName("dropdown-content");
            var i;
            for (i = 0; i < dropdowns.length; i++) {
              var openDropdown = dropdowns[i];
              if (openDropdown.classList.contains('show')) {
                openDropdown.classList.remove('show');
              }
            }
          }
        }

        function itemClick(e){
            console.log('dfdfdfdfdfdfd:::::::::::::f', e.innerHTML.trim())
            document.getElementById('dropbtn').innerHTML = e.innerHTML.trim();
        }

        window.addEventListener('load', function() { 
                    }, false);
        
        function updateUsers() {
             
                const title =  document.getElementById('title').value;
                const desc =  document.getElementById('desc').value;
                const tag =   document.getElementById('tag').value;
                const projectPlatform = document.getElementById('dropbtn').value;
                const projectUrl = document.getElementById('projectUrl').value;
                const projectData = {
                    projectId,
                    query:{
                    title:title,
                    desc:desc,
                    tag:tag,
                    projectPlatform:projectPlatform,
                    projectUrl: projectUrl,
                    }
                    
                }
                //setTimeout(function(){}, 3000);
                console.log( "jjjjjjj..........",projectData);
             
                let promise = new Promise(function(resolve, reject) {
                // the function is executed automatically when the promise is constructed
                    axios.post('http://15.206.64.54:4000/project/update',data={...projectData})
                    .then(function (response) {
                    console.log("hiiiiiiiii..............",data);
                     console.log("...........",response);
                     window.location.href ='index.html';
                })
                .catch(function (error) {
                    console.log("......",error);
                });
            
                });

             };

             function editProject(){       
                
                axios.get(`http://15.206.64.54:4000/projects?projectId=${projectId}`)
                .then(function (response) {
                    projects=response.data.body
                    // createGrids(projects);
                    //..............
                    console.log("aaaaaaaaaaaaaa..........",projects);
                    console.log("dfghjk....",projects[0].desc)
                    document.getElementById('title').value =  projects[0].title;
                    document.getElementById('desc').value = projects[0].desc;
                    document.getElementById('tag').value = projects[0].tag;
                    console.log("bbbbbbbbbbbbbbbbbb",projects);
                })
                .catch(function (error) {
                });
              }

              editProject();
             //console.log("you can do it...........",updateUsers());


             


        </script>
</body>
</html>